# Uses of Enum Class
org.apache.lucene.index.IndexOptions

Packages that use IndexOptions
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of IndexOptions in org.apache.lucene.codecs

  Fields in org.apache.lucene.codecs declared as IndexOptions
  Modifier and Type
  Field
  Description
  `protected IndexOptions`
  PushPostingsWriterBase.`indexOptions`
  `IndexOptions` of current field being written

- ## Uses of IndexOptions in org.apache.lucene.document

  Methods in org.apache.lucene.document that return IndexOptions
  Modifier and Type
  Method
  Description
  `IndexOptions`
  FieldType.`indexOptions()`
  `IndexOptions`, describing what should be recorded into the inverted index
  Methods in org.apache.lucene.document with parameters of type IndexOptions
  Modifier and Type
  Method
  Description
  `void`
  FieldType.`setIndexOptions(IndexOptions value)`
  Sets the indexing options for the field:

- ## Uses of IndexOptions in org.apache.lucene.index

  Methods in org.apache.lucene.index that return IndexOptions
  Modifier and Type
  Method
  Description
  `IndexOptions`
  FieldInfo.`getIndexOptions()`
  Returns IndexOptions for the field, or IndexOptions.NONE if the field is not indexed
  `IndexOptions`
  FieldInvertState.`getIndexOptions()`
  Get the index options for this field
  `IndexOptions`
  IndexableFieldType.`indexOptions()`
  `IndexOptions`, describing what should be recorded into the inverted index
  `static IndexOptions`
  IndexOptions.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IndexOptions[]`
  IndexOptions.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.index with parameters of type IndexOptions
  Modifier
  Constructor
  Description
  ``
  `FieldInfo(String name, int number, boolean storeTermVector, boolean omitNorms, boolean storePayloads, IndexOptions indexOptions, DocValuesType docValues, DocValuesSkipIndexType docValuesSkipIndex, long dvGen, Map<String,String> attributes, int pointDimensionCount, int pointIndexDimensionCount, int pointNumBytes, int vectorDimension, VectorEncoding vectorEncoding, VectorSimilarityFunction vectorSimilarityFunction, boolean softDeletesField, boolean isParentField)`
  Sole constructor.
  ``
  `FieldInvertState(int indexCreatedVersionMajor, String name, IndexOptions indexOptions)`
  Creates {code FieldInvertState} for the specified field name.
  ``
  `FieldInvertState(int indexCreatedVersionMajor, String name, IndexOptions indexOptions, int position, int length, int numOverlap, int offset, int maxTermFrequency, int uniqueTermCount)`
  Creates {code FieldInvertState} for the specified field name and values for all fields.